package com.gree.mall.miniapp.enums.material;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.miniapp.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum PartsPayFlagEnum implements BaseEnum {
    NOT("NOT","未支付"),
    PAY_NOT_TAKE("PAY_NOT_TAKE","已付未提货"),
    PAY_TAKE("PAY_TAKE","已付提货"),
    PAY_NOT_STOCK("PAY_NOT_STOCK","已付缺货");

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}
